# Update Alert

Use this endpoint to update an existing alert setting record.

NOTE: When updating a webhook alert, we will ensure the endpoint is reachable by sending a GET request to the provided URL. If a 200 response is not returned, a 400 will be returned and the alert setting update will be rejected.

Endpoint: PUT /v1/alerts/settings/events/{id}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The settings ID.

## Request fields (application/json):

  - `event_type` (string, required)
    The type of event for which you would like to receive alerts.

  - `channel` (string, required)
    The delivery method for the alert.
    Enum: "email", "webhook", "slack"

  - `settings` (object, required)
    The details pertaining to the specified channel. Please note that the contents of this object differ per channel type.

  - `settings.url` (string)
    For webhook channel.

  - `settings.emails` (array)
    For email channel

  - `settings.channel_ids` (array)
    For slack channel

  - `settings.disabled_channel_ids` (object)
    List of disabled Slack channels.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response default fields (application/json):

  - `message` (string, required)
    Response message


